vcarbs

Cem's Auto Rice Bootstrapping Scripts, for Void Linux
git clone git://git.ckyln.com/vcarbs.git
Log | Files | Refs | README | LICENSE

commit cfbeaf514d1298b3d9f3a70091cf098b44ce744f
parent fa0def367afc388daced88906e09e51a57a2daaf
Author: Cem Keylan <cem@ckyln.com>
Date:   Mon,  4 Nov 2019 16:38:13 +0300

add st-fix

Diffstat:
Apost-install/st-fix.sh | 35+++++++++++++++++++++++++++++++++++
1 file changed, 35 insertions(+), 0 deletions(-)

diff --git a/post-install/st-fix.sh b/post-install/st-fix.sh @@ -0,0 +1,35 @@ +#!/bin/sh + +## CARBS, Cem's Auto-Rice Bootstrapping Script +## Copyright (C) 2019 Cem Keylan <cem@ckyln.com> + +## This program is free software: you can redistribute it and/or modify +## it under the terms of the GNU General Public License as published by +## the Free Software Foundation, either version 3 of the License, or +## (at your option) any later version. +## +## This program is distributed in the hope that it will be useful, +## but WITHOUT ANY WARRANTY; without even the implied warranty of +## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the +## GNU General Public License for more details. +## +## You should have received a copy of the GNU General Public License +## along with this program. If not, see <https://www.gnu.org/licenses/>. + + +out() { printf "$1\\n"; } +error() { out "==> ERROR: $@"; } >&2 +warning() { out "==> WARNING: $@"; } >&2 +msg() { out "==> $@"; } +msg2() { out " -> $@";} +die() { error "$@"; exit 1; } + +# I do not know why there is such a terminfo problem +# in st. If you know if there is a fix without this +# hacky script please tell me. + +stdir="$(mktemp -d)" +git clone git://git.ckyln.com/st.git "$stdir" || die "Could not clone st to $stdir" +cd "$stdir" +tic -sx st.info || die "Could not import st info" +msg "Finished st fix"